org.apache.maven.settings

## Interface MavenSettingsBuilder

- All Known Implementing Classes:
    DefaultMavenSettingsBuilder

      public interface MavenSettingsBuilder

  Builder for the user or global settings. By default, the settings files are located:
  - user settings: ${user.home}/settings.xml
  - global settings: ${maven.home}/conf/settings.xml
  You could also use system properties to specify the path for user and global settings:
  - user settings is defined by `org.apache.maven.user-settings`
  - global settings is defined by `org.apache.maven.global-settings`
  Version:
    $Id: MavenSettingsBuilder.java 638306 2008-03-18 10:20:28Z bentmann $
  Author:
    jdcasey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALT_GLOBAL_SETTINGS_XML_LOCATION`
    `static java.lang.String` | `ALT_LOCAL_REPOSITORY_LOCATION`
    `static java.lang.String` | `ALT_USER_SETTINGS_XML_LOCATION`
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Settings` | `buildSettings()`
    `Settings` | `buildSettings(boolean useCachedSettings)`
    `Settings` | `buildSettings(java.io.File userSettingsFile)`
    `Settings` | `buildSettings(java.io.File userSettingsFile, boolean useCachedSettings)`

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

    - #### ALT_USER_SETTINGS_XML_LOCATION

          static final java.lang.String ALT_USER_SETTINGS_XML_LOCATION

      See Also:
        Constant Field Values

    - #### ALT_GLOBAL_SETTINGS_XML_LOCATION

          static final java.lang.String ALT_GLOBAL_SETTINGS_XML_LOCATION

      See Also:
        Constant Field Values

    - #### ALT_LOCAL_REPOSITORY_LOCATION

          static final java.lang.String ALT_LOCAL_REPOSITORY_LOCATION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### buildSettings

          Settings buildSettings()
                                 throws java.io.IOException,
                                        XmlPullParserException

      Returns:
        a `Settings` object from the user settings file.
      Throws:
        `java.io.IOException` - if any
        `XmlPullParserException` - if any

    - #### buildSettings

          Settings buildSettings(boolean useCachedSettings)
                                 throws java.io.IOException,
                                        XmlPullParserException

      Parameters:
        `useCachedSettings` - if true, doesn't reload the user settings
      Returns:
        a `Settings` object from the user settings file.
      Throws:
        `java.io.IOException` - if any
        `XmlPullParserException` - if any

    - #### buildSettings

          Settings buildSettings(java.io.File userSettingsFile)
                                 throws java.io.IOException,
                                        XmlPullParserException

      Parameters:
        `userSettingsFile` - a given user settings file
      Returns:
        a `Settings` object from the user settings file.
      Throws:
        `java.io.IOException` - if any
        `XmlPullParserException` - if any

    - #### buildSettings

          Settings buildSettings(java.io.File userSettingsFile,
                               boolean useCachedSettings)
                                 throws java.io.IOException,
                                        XmlPullParserException

      Parameters:
        `userSettingsFile` - a given user settings file
        `useCachedSettings` - if true, doesn't reload the user settings
      Returns:
        a `Settings` object from the user settings file.
      Throws:
        `java.io.IOException` - if any
        `XmlPullParserException` - if any